package net.saltymc.eaa;

import net.saltymc.eaa.commands.*;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import net.fabricmc.api.ClientModInitializer;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

@Environment(EnvType.CLIENT)
public final class EaaMod implements ClientModInitializer {
	public static final Logger LOGGER = LogManager.getLogger("EAA-MOD");


	public static Logger getLogger() {
		return LOGGER;
	}

	@Override
	public void onInitializeClient() {

		//Register Commands
		new EchoCommand();
		new TagCommand();
		new CheckPlayerCommand();
		new CheckLobbyCommand();
		new ReloadCommand();

	}
}
